/*
  Buttons 
  
  Final code creater 2020 
  by alecia gorski 
  combining multiple techniques to build from original base code. Code has changed. 

  
  original code created 2005
  by DojoDave <http://www.0j0.org>
  modified 30 Aug 2011
  by Tom Igoe

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Button
*/

// constants won't change. They're used here to set pin numbers:
const int buttonPin = 0;     // the number of the pushbutton pin
const int buttonPinB = 1;
const int ledPin =  8;      // the number of the LED pin
const int ledPinB = 9; 

// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status
int buttonStateB = 0;
int ledState = 1;
int ledStateB = 1;

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);
    // initialize the LED pin as an output:
  pinMode(ledPinB, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPinB, INPUT);
}

void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
  buttonStateB = digitalRead(buttonPinB);
  
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, LOW);
    digitalWrite(ledPinB, LOW);
 }
      
  else {
    // turn LED off:
    digitalWrite(ledPin, HIGH);
    digitalWrite(ledPinB, HIGH);
  }
}
